vellTRDocs
API ReferenceWebhooksUpdate Webhook Endpoint

Update Webhook Endpoint

PATCH/v1/stores/{storeId}/webhooks/{webhookId}Core

Enable or disable a webhook endpoint.

Authentication

Signature Pattern

Dashboard JWT bearer (not the HMAC public API).
HeaderValueDescription
AuthorizationBearer {jwt}Merchant dashboard JWT (from /v1/auth/login)
Content-Typeapplication/jsonRequest content type

Request Parameters

NameTypeRequiredDescription
activebooleanOptionalEnable/disable delivery

Request Example

JSONRequest Body
{
  "active": false
}

Response Parameters

FieldTypeExample
idstring"whe_9a2e6b4d4e8a"
urlstring"https://merchant.example.com/kvell/webhook"
activebooleanfalse
statusstring"active"

Response Example

JSONResponse
{
  "id": "whe_9a2e6b4d4e8a",
  "url": "https://merchant.example.com/kvell/webhook",
  "active": false,
  "status": "active"
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
PATCHhttps://api.pay.sandbox.kvell.group